%% This file will let you determine dof of the optical system

clc; clear; close all;

Image = imread('DoF 13mm wd 5lpmm0001.bmp');

% Image may be stored as color image, so each color is a repeat. This means
% you can strip off the extra layers of the array by allowing the command
% below to run. If the image is stored as a one dimensional array comment
% out the command below.
Image = Image(:,:,1:1);

% Show image and choose where to trace
% Left click to pick start point of trace and right click to pick end point
imshow(Image)

% W will be a matrix of the gray scale variation along the trace. This
% matrix can be plotted. Depending on what the minimum contrast level
% to be considered in focus is, the depth of field can be determined.

W = improfile;